al_signal_cond(3)

NAME

al_signal_cond - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_signal_cond(ALLEGRO_COND *cond)

DESCRIPTION

Unblock at least one thread waiting on a condition variable.

Generally you should use al_broadcast_cond(3) but al_signal_cond(3) may be more efficient when it's applicable.

SEE ALSO

al_broadcast_cond(3).